Subject: bug#41951: 28.0.50; Automatically detect AUTH=ANONYMOUS in Gnus nnimap?

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 18 Jul 2020 20:14:09 -0700

On 07/19/20 03:07 AM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> Gnus could figure this out itself and anonymously log in, using the
>> attached patch. It seems to work fine, but there might be further
>> consequences I haven't thought of. And possibly we'd simply prefer that
>> settings like this be a little more explicit for the user?
>
> Would this interfere with logging in normally with your own user name?

I think if we did it this way:

(if (or (eq nnimap-authenticator 'anonymous)
	(and (null nnimap-authenticator)
	     (nnimap-capability "AUTH=ANONYMOUS")))
    (list "anonymous"
	  (message-make-address))
  ;; normal log in process
  )

Then we only fall back on anonymous if the user hasn't specified
anything explicitly. I haven't yet verified that (null
nnimap-authenticator) does the right thing in this case, though.

Eric